precision mediump float;
varying vec2 v_TexCoord;
uniform sampler2D sTexture;

uniform float wh_ratio;
uniform int is_zoomed;
uniform float anim_value;// [0,1], 0 - not zoomed, 1 - fully zoomed +
uniform vec2 magnifier_position;
uniform vec2 zoom_position;// [0,1]x[0,1] +
uniform float zoom_area_r;
uniform float zoom_max;
uniform float offset;


void main() {
    gl_FragColor = texture2D(sTexture, v_TexCoord);
}